%BlurFlow - Optical flow implementation for spatially-varying motion blur.
%
%   Travis Portz
%   University of Wisconsin-Madison
%   portz@wisc.edu
%
%Optical flow computation.
%   baseline_flow - Classical warping-based optical flow without blur modification.
%   blurred_flow  - Motion blur aware optical flow.
%
%Utility functions.
%   flow_read   - Reads an optical flow field from a binary file.
%   flow_write  - Writes an optical flow field to a binary file.
%   flow_concat - Concatenates two optical flow fields.
%   flow_warp   - Warps an image using an optical flow field.
%   flow_viz    - Creates a hue/saturation flow field visualization.
%
%Demonstration.
%   blurflow_demo - Computes baseline and blur-aware flow for a sequence of images.
