%BASELINE_FLOW Computes optical flow between two images.
%   UV = BASELINE_FLOW(IM1,IM2,PARAMS) computes optical flow UV from IM1 to
%   IM2 using the classical warping-based flow algorithm based on the
%   implementation by Ce Liu.
%
% IM1: RGB image.
% IM2: RGB image, same dimensions as IM1.
% PARAMS: Parameter structure. Fields:
%   scale_factor - pyramid scaling factor between levels (default: 0.75)
%   alpha - smoothness factor (default: 0.01)
%   gamma - gradient constancy factor (default: 1)
%   epsilon_data - robust penalty function parameter for data term (default: 0.001)
%   epsilon_spatial - robust penalty function parameter for smoothness term (default: 0.001)
%   num_pyramid_levels - number of image pyramid levels (default: minimum level width = 30)
%   max_outer_iterations - number of outer fixed-point iterations (default: 16)
%   max_inner_iterations - number of inner fixed-point iterations (default: 1)
%   max_cg_iterations - number of conjugate gradient iterations (default: 50)
%   cg_threshold - conjugate gradient termination threshold (default: 1e-8)
%   color_weight - weight for color component of feature image (default: 0.5)
% UV: Optical flow field. UV(:,:,1) is horizontal component, UV(:,:,2) is vertical component.

% Travis Portz
% University of Wisconsin-Madison
% 2012