function uv = flow_read(filename)
%FLOW_READ reads a flow field from a binary file
%   UV = FLOW_READ(FILENAME) reads flow field UV from the binary file at
%   FILENAME.

% Travis Portz
% University of Wisconsin-Madison
% 2012

fid = fopen(filename,'rb');
fseek(fid,8,'bof');
w = fread(fid,1,'int32');
h = fread(fid,1,'int32');
uv = zeros(h,w,2);
uv(:,:,1) = fread(fid,[w,h],'single',4)';
fseek(fid,20,'bof');
uv(:,:,2) = fread(fid,[w,h],'single',4)';
fclose(fid);