function flow_write(uv,filename)
%FLOW_WRITE writes a flow field to a binary file
%   FLOW_WRITE(UV,FILENAME) writes flow field UV to a binary file at
%   FILENAME.

% Travis Portz
% University of Wisconsin-Madison
% 2012

fid = fopen(filename,'wb');
fwrite(fid,'OPTIFLOW');
[h,w] = size(uv(:,:,1));
fwrite(fid,w,'int32');
fwrite(fid,h,'int32');
fseek(fid,-4,'cof');
fwrite(fid,uv(:,:,1)','single',4);
fseek(fid,16,'bof');
fwrite(fid,uv(:,:,2)','single',4);
fclose(fid);