function make
%MAKE compiles the optical flow MEX programs
%   MAKE works on Linux with gcc. You may need to change flags for OpenMP
%   to work on other systems.

% Travis Portz
% University of Wisconsin-Madison
% 2012

source_files = 'src/blur.cpp src/blurflow.cpp src/filter.cpp src/image.cpp src/poly.cpp';
object_files = 'build/blur.o build/blurflow.o build/filter.o build/image.o build/poly.o';
main_files = {'src/baseline_flow.cpp','src/blurred_flow.cpp'};

compile_flags = 'CXXFLAGS="\$CXXFLAGS -fopenmp"';
link_flags = 'LDFLAGS="\$LDFLAGS -fopenmp -lgomp"';

eval(sprintf('mex -c -outdir build %s %s',source_files,compile_flags));

for i = 1:length(main_files)
    eval(sprintf('mex %s %s %s %s',main_files{i},object_files,compile_flags,link_flags));
end
