/*
 * locator.hpp
 *
 *  Created on: Oct 17, 2011
 *      Author: Travis Portz
 */

#ifndef LOCATOR_HPP
#define LOCATOR_HPP

// Provides indexing around a point in an image.
template <typename P>
class locator
{
public:
	locator(const P* loc, int stride) : loc(loc), stride(stride) { }
	const P& operator()(int dx, int dy) const
	{
		return loc[dy * stride + dx];
	}
private:
	const P* const loc;
	const int stride;
};

#endif /* LOCATOR_HPP */
